Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT4_vect_ens_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT4_vect_ens_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT4_vect_ens_cfg	(revision 12406)
@@ -33,5 +33,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      =    1.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =    1.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
    !
@@ -147,5 +147,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_cen-ahm1000_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_cen-ahm1000_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_cen-ahm1000_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_ubs_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_ubs_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_cen-ahm1000_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_cen-ahm1000_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_cen-ahm1000_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_ubs_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_ubs_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT2_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT2_flux_ubs_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT2_flux_ubs_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 12406)
@@ -46,5 +46,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -219,5 +219,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_vect_een_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_vect_een_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_vect_een_cfg	(revision 12406)
@@ -33,5 +33,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
 /
@@ -158,5 +158,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  1         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6-noskin_cfg	(revision 12406)
@@ -57,5 +57,5 @@
 &namdom        !   time and space domain / STATION_ASF
 !-----------------------------------------------------------------------
-   rn_rdt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
+   rn_Dt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
    ln_meshmask = .false.
    ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_coare3p6_cfg	(revision 12406)
@@ -57,5 +57,5 @@
 &namdom        !   time and space domain / STATION_ASF
 !-----------------------------------------------------------------------
-   rn_rdt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
+   rn_Dt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
    ln_meshmask = .false.
    ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf-noskin_cfg	(revision 12406)
@@ -57,5 +57,5 @@
 &namdom        !   time and space domain / STATION_ASF
 !-----------------------------------------------------------------------
-   rn_rdt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
+   rn_Dt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
    ln_meshmask = .false.
    ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ecmwf_cfg	(revision 12406)
@@ -57,5 +57,5 @@
 &namdom        !   time and space domain / STATION_ASF
 !-----------------------------------------------------------------------
-   rn_rdt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
+   rn_Dt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
    ln_meshmask = .false.
    ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/EXPREF/namelist_ncar_cfg	(revision 12406)
@@ -57,5 +57,5 @@
 &namdom        !   time and space domain / STATION_ASF
 !-----------------------------------------------------------------------
-   rn_rdt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
+   rn_Dt      =  3600.    !  time step for the dynamics and tracer => frequency of atmospheric forcing
    ln_meshmask = .false.
    ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/MY_SRC/diawri.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 12406)
@@ -168,12 +168,12 @@
       clop = "x"         ! no use of the mask value (require less cpu time and otherwise the model crashes)
 #if defined key_diainstant
-      zsto = nn_write * rdt
+      zsto = nn_write * rn_Dt
       clop = "inst("//TRIM(clop)//")"
 #else
-      zsto=rdt
+      zsto=rn_Dt
       clop = "ave("//TRIM(clop)//")"
 #endif
-      zout = nn_write * rdt
-      zmax = ( nitend - nit000 + 1 ) * rdt
+      zout = nn_write * rn_Dt
+      zmax = ( nitend - nit000 + 1 ) * rn_Dt
 
       ! Define indices of the horizontal output zoom and vertical limit storage
@@ -195,5 +195,5 @@
 
          ! Compute julian date from starting date of the run
-         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+         CALL ymds2ju( nyear, nmonth, nday, rn_Dt, zjulian )
          zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
          IF(lwp)WRITE(numout,*)
@@ -217,5 +217,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,           &  ! Horizontal grid: glamt and gphit
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, rdt, nh_T, nid_T, domain_id=nidom, snc4chunks=snc4set )
+            &          nit000-1, zjulian, rn_Dt, nh_T, nid_T, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_T, "deptht", "Vertical T levels",      &  ! Vertical grid: gdept
             &           "m", ipk, gdept_1d, nz_T, "down" )
@@ -229,5 +229,5 @@
          CALL histbeg( clhstnam, jpi, glamu, jpj, gphiu,           &  ! Horizontal grid: glamu and gphiu
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, rdt, nh_U, nid_U, domain_id=nidom, snc4chunks=snc4set )
+            &          nit000-1, zjulian, rn_Dt, nh_U, nid_U, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_U, "depthu", "Vertical U levels",      &  ! Vertical grid: gdept
             &           "m", ipk, gdept_1d, nz_U, "down" )
@@ -241,5 +241,5 @@
          CALL histbeg( clhstnam, jpi, glamv, jpj, gphiv,           &  ! Horizontal grid: glamv and gphiv
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, rdt, nh_V, nid_V, domain_id=nidom, snc4chunks=snc4set )
+            &          nit000-1, zjulian, rn_Dt, nh_V, nid_V, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_V, "depthv", "Vertical V levels",      &  ! Vertical grid : gdept
             &          "m", ipk, gdept_1d, nz_V, "down" )
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 12406)
@@ -40,5 +40,5 @@
 !-----------------------------------------------------------------------
    ln_linssh   =  .false.  !  =T  linear free surface  ==>>  model level are fixed in time
-   rn_rdt      =    480.   !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =    480.   !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =   0.05    !  asselin time filter parameter
 /
@@ -216,5 +216,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .false.    ! Number of sub-step defined from:
-         nn_baro      =  24         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  24         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/namelist_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/EXPREF/namelist_cfg	(revision 12406)
@@ -40,5 +40,5 @@
 !-----------------------------------------------------------------------
    ln_linssh   =  .false.  !  =T  linear free surface  ==>>  model level are fixed in time
-   rn_rdt      =   1440.   !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   1440.   !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =   0.05    !  asselin time filter parameter
 /
@@ -207,5 +207,5 @@
          !                          !                     = 2 Boxcar over 2*nn_baro  "    "
       ln_bt_auto    = .false.    ! Number of sub-step defined from:
-         nn_baro      =  24         ! =F : the number of sub-step in rn_rdt seconds
+         nn_baro      =  24         ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/MY_SRC/domvvl.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/MY_SRC/domvvl.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/VORTEX/MY_SRC/domvvl.F90	(revision 12406)
@@ -237,5 +237,5 @@
          IF( ln_vvl_ztilde_as_zstar ) THEN   ! z-star emulation using z-tile
             frq_rst_e3t(:,:) = 0._wp               !Ignore namelist settings
-            frq_rst_hdv(:,:) = 1._wp / rdt
+            frq_rst_hdv(:,:) = 1._wp / rn_Dt
          ENDIF
          IF ( ln_vvl_zstar_at_eqtor ) THEN   ! use z-star in vicinity of the Equator
@@ -250,5 +250,5 @@
                      ! values inside the equatorial band (ztilde as zstar)
                      frq_rst_e3t(ji,jj) =  0.0_wp
-                     frq_rst_hdv(ji,jj) =  1.0_wp / rdt
+                     frq_rst_hdv(ji,jj) =  1.0_wp / rn_Dt
                   ELSE                                      ! transition band (2.5 to 6 degrees N/S)
                      !                                      ! (linearly transition from z-tilde to z-star)
@@ -256,6 +256,6 @@
                         &            * (  1.0_wp - COS( rad*(ABS(gphit(ji,jj))-2.5_wp)  &
                         &                                          * 180._wp / 3.5_wp ) )
-                     frq_rst_hdv(ji,jj) = (1.0_wp / rdt)                                &
-                        &            + (  frq_rst_hdv(ji,jj)-(1.e0_wp / rdt) )*0.5_wp   &
+                     frq_rst_hdv(ji,jj) = (1.0_wp / rn_Dt)                                &
+                        &            + (  frq_rst_hdv(ji,jj)-(1.e0_wp / rn_Dt) )*0.5_wp   &
                         &            * (  1._wp  - COS( rad*(ABS(gphit(ji,jj))-2.5_wp)  &
                         &                                          * 180._wp / 3.5_wp ) )
@@ -268,5 +268,5 @@
                   ij0 = 128   ;   ij1 = 135   ;   
                   frq_rst_e3t( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) =  0.0_wp
-                  frq_rst_hdv( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) =  1.e0_wp / rdt
+                  frq_rst_hdv( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) =  1.e0_wp / rn_Dt
                ENDIF
             ENDIF
@@ -377,5 +377,5 @@
             IF( kt > nit000 ) THEN
                DO jk = 1, jpkm1
-                  hdiv_lf(:,:,jk) = hdiv_lf(:,:,jk) - rdt * frq_rst_hdv(:,:)   &
+                  hdiv_lf(:,:,jk) = hdiv_lf(:,:,jk) - rn_Dt * frq_rst_hdv(:,:)   &
                      &          * ( hdiv_lf(:,:,jk) - e3t(:,:,jk,Kmm) * ( hdiv(:,:,jk) - zhdiv(:,:) ) )
                END DO
@@ -1034,5 +1034,5 @@
             WRITE(numout,*) '                         rn_rst_e3t     = 0.e0'
             WRITE(numout,*) '            hard-wired : z-tilde cutoff frequency of low-pass filter (days)'
-            WRITE(numout,*) '                         rn_lf_cutoff   = 1.0/rdt'
+            WRITE(numout,*) '                         rn_lf_cutoff   = 1.0/rn_Dt'
          ELSE
             WRITE(numout,*) '      z-tilde to zstar restoration timescale (days)        rn_rst_e3t   = ', rn_rst_e3t
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/WAD/EXPREF/namelist_cfg	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/tests/WAD/EXPREF/namelist_cfg	(revision 12406)
@@ -43,5 +43,5 @@
    !
    ln_meshmask = .true.    !  create (>0) a mesh file or not (=0)
-   rn_rdt      =    18.    !  time step for the dynamics 
+   rn_Dt      =    18.    !  time step for the dynamics 
 /
 !-----------------------------------------------------------------------
@@ -344,5 +344,5 @@
    ln_dynspg_ts  = .true.  !  split-explicit free surface
    ln_bt_auto    = .false. ! Number of sub-step defined from:
-   nn_baro       =  12     ! =F : the number of sub-step in rn_rdt seconds
+   nn_baro       =  12     ! =F : the number of sub-step in rn_Dt seconds
 /
 !-----------------------------------------------------------------------
